
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace, getKeyStringValue }from "../util/tools";
    import { get智慧电眼_企业贷中信用评估 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get智慧电眼_企业贷中信用评估();
    
        let 各信用等级企业分布情况DataAndUnit = objKeyReplace(excelData.各信用等级企业分布情况);
        ret["api1"] =  getKeyValue("各信用等级企业分布情况", 各信用等级企业分布情况DataAndUnit.dataMap, 各信用等级企业分布情况DataAndUnit.unitMap, true, false );
    
        ret["api2"] = getSingleYAndMoreData("每月企业信用变化趋势", excelData.每月企业信用变化趋势, false, '户');
    
        ret["api3"] = getSingleYAndMoreData("行业信用分布对比", excelData.行业信用分布对比, false, '%');
    
        let 优质信用企业DataAndUnit = objKeyReplace(excelData.优质信用企业);
        ret["api4"] =  getKeyValue("优质信用企业", 优质信用企业DataAndUnit.dataMap, false, false, false );
    
        let 风险企业DataAndUnit = objKeyReplace(excelData.风险企业);
        ret["api5"] =  getKeyValue("风险企业", 风险企业DataAndUnit.dataMap, false, false, false );
    
        ret["apiarea"] = getKeyStringValue("范围数据", excelData.范围数据);
        
        res.send(ret);
    }
