
import * as asyncHandler from 'express-async-handler'

import * as zhdyBiz from '../biz/zhdy';
import * as zhdyMsgbox1Biz from '../biz/zhdyMsgbox1';
import * as zhdyMsgbox2Biz from '../biz/zhdyMsgbox2';
import * as zhdyMsgbox3Biz from '../biz/zhdyMsgbox3';
import * as zhdyMsgbox4Biz from '../biz/zhdyMsgbox4';
import * as zhdyMsgbox5Biz from '../biz/zhdyMsgbox5';
import * as zhdyMsgbox6Biz from '../biz/zhdyMsgbox6';
import * as zhdyMsgbox7Biz from '../biz/zhdyMsgbox7';
import * as zhdyMsgbox8Biz from '../biz/zhdyMsgbox8';
import * as zhdyMsgbox9Biz from '../biz/zhdyMsgbox9';

import * as ptjcnlPageBiz from '../biz/ptjcnlPage';
// import * as sfqztgkPageBiz from '../biz/sfqztgkPage';
import * as qyehPageBiz from '../biz/qyehPage';
import * as zhnyPageBiz from '../biz/zhnyPage';
import * as lsdl_cdssPageBiz from '../biz/lsdl_cdssPage';
import * as lsdl_qjnygfPageBiz from '../biz/lsdl_qjnygfPage';

//interface
import * as lsdl_qjnygfBiz from '../biz/csjInterface/lsdl_qjnygf';
import * as lsdl_cdssBiz from '../biz/csjInterface/lsdl_cdss';
import * as qyrhBiz from '../biz/csjInterface/qyrh';
import * as zhdy_csqxtfzBiz from '../biz/csjInterface/zhdy_csqxtfz';
import * as zhdy_gsqyBiz from '../biz/csjInterface/zhdy_gsqy';
import * as zhdy_hyydfbBiz from '../biz/csjInterface/zhdy_hyydfb';
import * as zhdy_jjjqdBiz from '../biz/csjInterface/zhdy_jjjqd';
import * as zhdy_qydzxypgBiz from '../biz/csjInterface/zhdy_qydzxypg';
import * as zhdy_sqjjhlBiz from '../biz/csjInterface/zhdy_sqjjhl';
import * as zhdy_yskkqyBiz from '../biz/csjInterface/zhdy_yskkqy';
import * as zhdy_zdwrqyBiz from '../biz/csjInterface/zhdy_zdwrqy';
import * as zhdy_zzkkzlBiz from '../biz/csjInterface/zhdy_zzkzl';
import * as interfaceZhdyBiz from '../biz/csjInterface/zhdy';
import * as sfqztgkPageBiz from '../biz/csjInterface/sfqztgk';

import * as sjlyBiz from '../biz/sjly'
import { checkToken } from '../middleware/checkToken';

export function setRouter(httpServer){
        
    // httpServer.get('/zhdy', asyncHandler(zhdyBiz.getData));
    // httpServer.get('/zhdyMsgbox1', asyncHandler(zhdyMsgbox1Biz.getData));
    // httpServer.get('/zhdyMsgbox2', asyncHandler(zhdyMsgbox2Biz.getData));
    // httpServer.get('/zhdyMsgbox3', asyncHandler(zhdyMsgbox3Biz.getData));
    // httpServer.get('/zhdyMsgbox4', asyncHandler(zhdyMsgbox4Biz.getData));
    // httpServer.get('/zhdyMsgbox5', asyncHandler(zhdyMsgbox5Biz.getData));
    // httpServer.get('/zhdyMsgbox6', asyncHandler(zhdyMsgbox6Biz.getData));
    // httpServer.get('/zhdyMsgbox7', asyncHandler(zhdyMsgbox7Biz.getData));
    // httpServer.get('/zhdyMsgbox8', asyncHandler(zhdyMsgbox8Biz.getData));
    // httpServer.get('/zhdyMsgbox9', asyncHandler(zhdyMsgbox9Biz.getData));
    httpServer.get('/ptjcnlPage', asyncHandler(ptjcnlPageBiz.getData));
    // httpServer.get('/sfqztgkPage', asyncHandler(sfqztgkPageBiz.getData));
    // httpServer.get('/qyehPage', asyncHandler(qyehPageBiz.getData));
    httpServer.get('/qyehxlfzlPage', asyncHandler(qyehPageBiz.get线路负载率));
    httpServer.get('/zhnyPage', asyncHandler(zhnyPageBiz.getData));
    // httpServer.get('/lsdl_cdssPage', asyncHandler(lsdl_cdssPageBiz.getData));
    // httpServer.get('/lsdl_qjnygfPage', asyncHandler(lsdl_qjnygfPageBiz.getData));
    httpServer.get('/sjly', asyncHandler(sjlyBiz.getData));
        
    httpServer.post('/sjly', asyncHandler(sjlyBiz.getData));   
    // httpServer.post('/lsdl_cdssPage', asyncHandler(lsdl_cdssPageBiz.getData));
    // httpServer.post('/lsdl_qjnygfPage', asyncHandler(lsdl_qjnygfPageBiz.getData));
    httpServer.post('/ptjcnlPage', asyncHandler(ptjcnlPageBiz.getData));
    // httpServer.post('/sfqztgkPage', asyncHandler(sfqztgkPageBiz.getData));
    // httpServer.post('/qyehPage', asyncHandler(qyehPageBiz.getData));
    httpServer.post('/qyehxlfzlPage', asyncHandler(qyehPageBiz.get线路负载率));
    httpServer.post('/zhnyPage', asyncHandler(zhnyPageBiz.getData));    
    // httpServer.post('/zhdy', asyncHandler(zhdyBiz.getData));
    // httpServer.post('/zhdyMsgbox1', asyncHandler(zhdyMsgbox1Biz.getData));
    // httpServer.post('/zhdyMsgbox2', asyncHandler(zhdyMsgbox2Biz.getData));
    // httpServer.post('/zhdyMsgbox3', asyncHandler(zhdyMsgbox3Biz.getData));
    // httpServer.post('/zhdyMsgbox4', asyncHandler(zhdyMsgbox4Biz.getData));
    // httpServer.post('/zhdyMsgbox5', asyncHandler(zhdyMsgbox5Biz.getData));
    // httpServer.post('/zhdyMsgbox6', asyncHandler(zhdyMsgbox6Biz.getData));
    // httpServer.post('/zhdyMsgbox7', asyncHandler(zhdyMsgbox7Biz.getData));
    // httpServer.post('/zhdyMsgbox8', asyncHandler(zhdyMsgbox8Biz.getData));
    // httpServer.post('/zhdyMsgbox9', asyncHandler(zhdyMsgbox9Biz.getData));



    //interface -------
    httpServer.get('/lsdl_qjnygfPage', asyncHandler(lsdl_qjnygfBiz.getData));
    httpServer.get('/lsdl_cdssPage', asyncHandler(lsdl_cdssBiz.getData));
    httpServer.get('/qyehPage', asyncHandler(qyrhBiz.getData));
    httpServer.get('/zhdyMsgbox1', asyncHandler(zhdy_csqxtfzBiz.getData));
    httpServer.get('/zhdyMsgbox2', asyncHandler(zhdy_gsqyBiz.getData));
    httpServer.get('/zhdyMsgbox8', asyncHandler(zhdy_hyydfbBiz.getData));
    httpServer.get('/zhdyMsgbox3', asyncHandler(zhdy_jjjqdBiz.getData));
    httpServer.get('/zhdyMsgbox5', asyncHandler(zhdy_qydzxypgBiz.getData));
    httpServer.get('/zhdyMsgbox6', asyncHandler(zhdy_sqjjhlBiz.getData));
    httpServer.get('/zhdyMsgbox4', asyncHandler(zhdy_yskkqyBiz.getData));
    httpServer.get('/zhdyMsgbox7', asyncHandler(zhdy_zdwrqyBiz.getData));
    httpServer.get('/zhdyMsgbox9', asyncHandler(zhdy_zzkkzlBiz.getData));
    httpServer.get('/zhdy', asyncHandler(interfaceZhdyBiz.getData));
    httpServer.get('/sfqztgkPage', asyncHandler(sfqztgkPageBiz.getData));
    
    httpServer.post('/lsdl_qjnygfPage', asyncHandler(lsdl_qjnygfBiz.getData));
    httpServer.post('/lsdl_cdssPage', asyncHandler(lsdl_cdssBiz.getData));
    httpServer.post('/qyehPage', asyncHandler(qyrhBiz.getData));
    httpServer.post('/zhdyMsgbox1', asyncHandler(zhdy_csqxtfzBiz.getData));
    httpServer.post('/zhdyMsgbox2', asyncHandler(zhdy_gsqyBiz.getData));
    httpServer.post('/zhdyMsgbox8', asyncHandler(zhdy_hyydfbBiz.getData));
    httpServer.post('/zhdyMsgbox3', asyncHandler(zhdy_jjjqdBiz.getData));
    httpServer.post('/zhdyMsgbox5', asyncHandler(zhdy_qydzxypgBiz.getData));
    httpServer.post('/zhdyMsgbox6', asyncHandler(zhdy_sqjjhlBiz.getData));
    httpServer.post('/zhdyMsgbox4', asyncHandler(zhdy_yskkqyBiz.getData));
    httpServer.post('/zhdyMsgbox7', asyncHandler(zhdy_zdwrqyBiz.getData));
    httpServer.post('/zhdyMsgbox9', asyncHandler(zhdy_zzkkzlBiz.getData));
    httpServer.post('/zhdy', asyncHandler(interfaceZhdyBiz.getData));
    httpServer.post('/sfqztgkPage', asyncHandler(sfqztgkPageBiz.getData));

}