
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace, getKeyStringValue }from "../util/tools";
    import { get智慧电眼_规上企业生产运行状况 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get智慧电眼_规上企业生产运行状况();
    
        let 基础数据DataAndUnit = objKeyReplace(excelData.基础数据);
        ret["api1"] =  getKeyValue("基础数据", 基础数据DataAndUnit.dataMap, 基础数据DataAndUnit.unitMap, false, false );
    
        let 行业生产指数DataAndUnit = objKeyReplace(excelData.行业生产指数);
        ret["api2"] =  getKeyValue("行业生产指数", 行业生产指数DataAndUnit.dataMap, 行业生产指数DataAndUnit.unitMap, false, false );
    
        let 规上企业行业分布概览DataAndUnit = objKeyReplace(excelData.规上企业行业分布概览);
        ret["api3"] =  getKeyValue("规上企业行业分布概览", 规上企业行业分布概览DataAndUnit.dataMap, 规上企业行业分布概览DataAndUnit.unitMap, true, false );
    
        ret["api4"] = getChartData("生产指数趋势分析", excelData.生产指数趋势分析, false, false );
        ret["api4"].yMinValue = 40;
        ret["api4"].yMaxValue = 160;
        ret["api4"].yStepValue = 40;

        ret["apiarea"] = getKeyStringValue("范围数据", excelData.范围数据);
    
        res.send(ret);
    }
    