
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace, getKeyStringValue }from "../util/tools";
    import { get智慧电眼_经济景气度 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get智慧电眼_经济景气度();
    
        let 基础数据DataAndUnit = objKeyReplace(excelData.基础数据);
        ret["api1"] =  getKeyValue("基础数据", 基础数据DataAndUnit.dataMap, 基础数据DataAndUnit.unitMap, false, false );
    
        let 重点区域景气指数_青浦_DataAndUnit = objKeyReplace(excelData.重点区域景气指数_青浦_);
        ret["api2"] =  getKeyValue("重点区域景气指数（青浦）", 重点区域景气指数_青浦_DataAndUnit.dataMap, 重点区域景气指数_青浦_DataAndUnit.unitMap, false, false );
    
        let 行业景气度DataAndUnit = objKeyReplace(excelData.行业景气指数);
        ret["api3"] =  getKeyValue("行业景气指数", 行业景气度DataAndUnit.dataMap, 行业景气度DataAndUnit.unitMap, false, false );
    
        ret["api4"] = getChartData("经济景气指数趋势分析", excelData.经济景气指数趋势分析, false, false );
        ret["api4"].yMinValue = 40;
        ret["api4"].yMaxValue = 160;
        ret["api4"].yStepValue = 40;
        
        ret["apiarea"] = getKeyStringValue("范围数据", excelData.范围数据);

        res.send(ret);
    }
    