
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace, getKeyStringValue }from "../util/tools";
    import { get智慧电眼_行业用电分布 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get智慧电眼_行业用电分布();
    
        let 基础数据DataAndUnit = objKeyReplace(excelData.基础数据);
        ret["api1"] =  getKeyValue("基础数据", 基础数据DataAndUnit.dataMap, false, false, false );
    
        let 示范区行业用电分布DataAndUnit = objKeyReplace(excelData.示范区行业用电分布);
        ret["api2"] =  getKeyValue("示范区行业用电分布", 示范区行业用电分布DataAndUnit.dataMap, 示范区行业用电分布DataAndUnit.unitMap, true, false );

        ret["api3"] =  getSingleYAndMoreData("三地各行业用电量", excelData.三地各行业用电量, false, false);
    
        ret["api4"] = getSingleYAndMoreData("重点行业集中度年度分析（青浦）", excelData.重点行业集中度年度分析_青浦_, false, false);
        ret["api4"].yMinValue = 40;
        ret["api4"].yMaxValue = 100;
        ret["api4"].yStepValue = 20;

        ret["apiarea"] = getKeyStringValue("范围数据", excelData.范围数据);
        
        res.send(ret);
    }